function [toest,X,D,rho,l_z,l_psi,l_eps,l_x,ll_psi,initxi,V_eps,R,model] = getparams(tauvar,taushock,A,XXX,is,Taylor)

tauvar1=tauvar;
taushock1=taushock;
model=0;

load maxlikej2 toest tauvar taushock
if length(tauvar)==length(tauvar1) & length(taushock)==length(taushock1)
    if min(tauvar1==tauvar) == 1 & min(taushock1==taushock) == 1
        model=11;
        toest1=toest;
    end
end

ipp=1;
if ipp == 1
    %taushock=[1 5 8 12 14 17 18 21];
    %tauvar  =  [1 2 3 4 5 6 7 8 10 11 12 13 14];
    load maxlikej27 toest tauvar taushock
    if length(tauvar)==length(tauvar1) & length(taushock)==length(taushock1)
        if min(tauvar1==tauvar) == 1 & min(taushock1==taushock) == 1
            model=12;
            toest1=toest;
        end
    end
else
    %taushock=[1 5 8 12 14 17 18 21];
    %tauvar  =  [1 2 3 4 5 6 7 8 10 11 12 13 14];
    load counterfact toest tauvar taushock
    if length(tauvar)==length(tauvar1) & length(taushock)==length(taushock1)
        if min(tauvar1==tauvar) == 1 & min(taushock1==taushock) == 1
            model=13;
            toest1=toest;
        end
    end
end

if model == 0

    toest=[];
    X=[];
    D=[];
    rho=[];
    l_z=[];
    l_psi=[];
    l_eps=[];
    l_x=[];
    ll_psi=[];
    initxi=[];
    V_eps=[];
    R=[];
    return
    
end

tauvar=tauvar1;
taushock=taushock1;
toest=toest1;

[D,rho,X,l_z,l_psi,l_eps,l_x,ll_psi,initxi,V_eps,R] = unl(taushock,toest,A,XXX,is,Taylor);


change=0;%do this is you want to exogenously shift parameters away from unity and zero.
if change == 1
    tiny=.02;
    [X] = imap2(D,rho,taushock,Taylor,tiny);
    toest=[X,diag(V_eps)',diag(R)'];
    [D,rho] = map1(X,taushock,Taylor);
else
    if length(X)/length(taushock) == 3
        [Xz] = imap1(D,rho,taushock,Taylor);
    elseif length(X)/length(taushock) == 4
        [Xz] = imap1(D,rho,taushock,Taylor,1);
    end
    [Dz,rhoz] = map1(Xz,taushock,Taylor);
    if max(max(abs(rhoz-rho))) > .2e-6
        error('fatal (getparams) rho input parameters a problem')
    end
    
    if max(max(abs(Dz-D))) > .2e-6
        error('fatal (getparams) D input parameters a problem')
    end 
end

printshocks;type shock.out


