function [A,q,u,pii,RT,Re,Retk,s,ix] = glide1(x,muzstar,beta,tauD,tauk,rentk,delta,upsil,ix)

A       =   1;
q       =   1;
u       =   1;
pii      =   (1+x)/muzstar;
RT      =   ((muzstar*pii/beta)-1)/(1-tauD);
Re      =    RT;
if RT < 0 
    ix(1)=1;
    error('(glide1) RT <0')
end
Retk      =   (((1-tauk)*rentk+(1-delta))/upsil)*pii+tauk*delta-1;
s       =   (1+Retk)/(1+Re);
if s<1 | Retk<0
    ix(2)=1;
    error('(glide1) ((1+Rk)/(1+Re))<1 or Rk<0')
end

