function [laborwedge,laborwedgea,effwedge,net,dmoney3,dmoney1,dinvest,dout,infl,dwage,dcons,Spread1, ...
         money1,money3,output,invest,cons,wage,price,hours,capacity,btott,dbtott,Ra_series,Re_series,Pe_series, ...
         govc,dgovc,idef,didef,oilp,doilp,Spread2,dnet,reserves,dreserves]= prepare_short(Xdat,mm,trendm3,trendm1, ...
         Quarters,fdiff,alpha,b,beta,idat)     
 
if isempty(trendm3) ~=1
    Xdat(9,:)=Xdat(9,:)+trendm3';
end

if isempty(trendm1) ~=1
    Xdat(8,:)=Xdat(8,:)+trendm1';
end

if max(max(abs(imag(Xdat)))) > .1e-10
    error('fatal(prepare_short) Xdat complex')
end
Xdat=real(Xdat);

hours     = Xdat(3,1:Quarters);
capacity  = Xdat(15,1:Quarters);
%Rb_series = Xdat(4,1:Quarters);
Ra_series = Xdat(13,1:Quarters);
Re_series = Xdat(14,1:Quarters);
Pe_series = Xdat(11,1:Quarters);
Spread1   = Xdat(12,1:Quarters);
Spread2   = Xdat(19,1:Quarters);

output(1) = Xdat(5,1);
price(1)  = Xdat(2,1);
if fdiff ==0
    velocitymoney3(1) = Xdat(9,1);
    money3(1) = price(1)+output(1)-velocitymoney3(1);
    velocitymoney1(1) = Xdat(8,1);
    money1(1) = price(1)+output(1)-velocitymoney1(1);
elseif fdiff ==1
    money3(1) = Xdat(9,1)+Xdat(2,1);
    money1(1) = Xdat(8,1)+Xdat(2,1);
    reserves(1) = Xdat(20,1); %+Xdat(2,1);
end

for ii = 2:Quarters
    output(ii) = output(ii-1)+Xdat(5,ii);
    price(ii)  = price(ii-1)+Xdat(2,ii);
    if fdiff ==0
        velocitymoney3(ii) = Xdat(9,ii);
        money3(ii) = price(ii)+output(ii)-velocitymoney3(ii);
        velocitymoney1(ii) = Xdat(8,ii);
        money1(ii) = price(ii)+output(ii)-velocitymoney1(ii);
    elseif fdiff ==1
        money3(ii) = money3(ii-1) + Xdat(9,ii)+Xdat(2,ii);
        money1(ii) = money1(ii-1) + Xdat(8,ii)+Xdat(2,ii);
        reserves(ii) = reserves(ii-1) + Xdat(20,ii); %+Xdat(2,ii);
    end
    
end
for ii = 4 : Quarters
    dout(ii) = 100*(Xdat(5,ii)+Xdat(5,ii-1)+Xdat(5,ii-2)+Xdat(5,ii-3));
    infl(ii) = 100*(Xdat(2,ii)+Xdat(2,ii-1)+Xdat(2,ii-2)+Xdat(2,ii-3));    
end

if fdiff==1
    net(1)    = Xdat(1,1); %+Xdat(2,1);
    invest(1) = Xdat(7,1);
    cons(1)   = Xdat(10,1);
    wage(1)   = Xdat(6,1);
    govc(1)   = Xdat(16,1);
    idef(1)   = Xdat(17,1);
    oilp(1)   = Xdat(18,1);
    btott(1)   = Xdat(4,1); %+Xdat(2,1);
    %capit(1)  = Xdat(19,1);
    for ii = 2:Quarters
        net(ii)    = net(ii-1)+Xdat(1,ii); %+Xdat(2,ii);
        invest(ii) = invest(ii-1)+Xdat(7,ii);
        cons(ii)   = cons(ii-1)+Xdat(10,ii);
        wage(ii)   = wage(ii-1)+Xdat(6,ii);
        govc(ii)   = govc(ii-1)+Xdat(16,ii);
        idef(ii)   = idef(ii-1)+Xdat(17,ii);
        oilp(ii)   = oilp(ii-1)+Xdat(18,ii);
        btott(ii)  = btott(ii-1)+Xdat(4,ii); %+Xdat(2,ii);
        %capit(ii)  = capit(ii-1)+Xdat(19,ii);
    end
    for ii = 4 : Quarters
        dinvest(ii)=100*(Xdat(7,ii)+Xdat(7,ii-1)+Xdat(7,ii-2)+Xdat(7,ii-3));
        dwage(ii)=100*(Xdat(6,ii)+Xdat(6,ii-1)+Xdat(6,ii-2)+Xdat(6,ii-3));
        dcons(ii)=100*(Xdat(10,ii)+Xdat(10,ii-1)+Xdat(10,ii-2)+Xdat(10,ii-3));
        dgovc(ii)=100*(Xdat(16,ii)+Xdat(16,ii-1)+Xdat(16,ii-2)+Xdat(16,ii-3));
        didef(ii)=100*(Xdat(17,ii)+Xdat(17,ii-1)+Xdat(17,ii-2)+Xdat(17,ii-3));
        doilp(ii)=100*(Xdat(18,ii)+Xdat(18,ii-1)+Xdat(18,ii-2)+Xdat(18,ii-3));
        %dcapit(ii)=100*(Xdat(19,ii)+Xdat(19,ii-1)+Xdat(19,ii-2)+Xdat(19,ii-3));
        
        %dmoney3(ii) = 100*(Xdat(9,ii)+Xdat(9,ii-1)+Xdat(9,ii-2)+Xdat(9,ii-3));
        dmoney3(ii)= 100*(Xdat(9,ii)+Xdat(9,ii-1)+Xdat(9,ii-2)+Xdat(9,ii-3))+100*(Xdat(2,ii)+Xdat(2,ii-1)+Xdat(2,ii-2)+Xdat(2,ii-3));

        dmoney1(ii) = 100*(Xdat(8,ii)+Xdat(8,ii-1)+Xdat(8,ii-2)+Xdat(8,ii-3));
        %dmoney1(ii)= 100*(Xdat(8,ii)+Xdat(8,ii-1)+Xdat(8,ii-2)+Xdat(8,ii-3))+100*(Xdat(2,ii)+Xdat(2,ii-1)+Xdat(2,ii-2)+Xdat(2,ii-3));

        dbtott(ii)  = 100*(Xdat(4,ii)+Xdat(4,ii-1)+Xdat(4,ii-2)+Xdat(4,ii-3));
        %dbtott(ii)   = 100*(Xdat(4,ii)+Xdat(4,ii-1)+Xdat(4,ii-2)+Xdat(4,ii-3))+100*(Xdat(2,ii)+Xdat(2,ii-1)+Xdat(2,ii-2)+Xdat(2,ii-3));

        dnet(ii) = 100*(Xdat(1,ii)+Xdat(1,ii-1)+Xdat(1,ii-2)+Xdat(1,ii-3));
        %dnet(ii)  = 100*(Xdat(1,ii)+Xdat(1,ii-1)+Xdat(1,ii-2)+Xdat(1,ii-3))+100*(Xdat(2,ii)+Xdat(2,ii-1)+Xdat(2,ii-2)+Xdat(2,ii-3));
        
        dreserves(ii)= 100*(Xdat(20,ii)+Xdat(20,ii-1)+Xdat(20,ii-2)+Xdat(20,ii-3));
        %dreserves(ii)= 100*(Xdat(20,ii)+Xdat(20,ii-1)+Xdat(20,ii-2)+Xdat(20,ii-3))+100*(Xdat(2,ii)+Xdat(2,ii-1)+Xdat(2,ii-2)+Xdat(2,ii-3));
    end
   
elseif fdiff==0
    net         =   Xdat(1,:)+output+price;
    cons        =   Xdat(10,:)+output;
    invest      =   Xdat(7,:)+output;
    wage        =   Xdat(6,:)+output;
    %govc        =   Xdat(16,:)+output;
    
    dn(1)   = [0,diff(net)];
    dc          =   [0,diff(cons)];
    di          =   [0,diff(invest)];
    dw          =   [0,diff(wage)];
    %dgovc       =   [0,diff(govc)];
    
    idef(1)   = Xdat(17,1);
    govc(1)   = Xdat(16,1);
    oilp(1)   = Xdat(18,1);
    %capit(1)  = Xdat(19,1);
    
    for ii = 2:Quarters
        idef(ii)   = idef(ii-1)+Xdat(17,ii);
        govc(ii)   = govc(ii-1)+Xdat(16,ii);
        oilp(ii)   = oilp(ii-1)+Xdat(18,ii);
        %capit(ii)  = capit(ii-1)+Xdat(19,ii);
    end

    for ii = 4 : Quarters
        dnet(ii)     = 100*(dn(ii)+dn(ii-1)+dn(ii-2)+dn(ii-3));
        dcons(ii)    = 100*(dc(ii)+dc(ii-1)+dc(ii-2)+dc(ii-3));
        dinvest(ii)  = 100*(di(ii)+di(ii-1)+di(ii-2)+di(ii-3));
        dwage(ii)    = 100*(dw(ii)+dw(ii-1)+dw(ii-2)+dw(ii-3));
        dgovc(ii)    = 100*(Xdat(16,ii)+Xdat(16,ii-1)+Xdat(16,ii-2)+Xdat(16,ii-3));
        didef(ii)    = 100*(Xdat(17,ii)+Xdat(17,ii-1)+Xdat(17,ii-2)+Xdat(17,ii-3));
        doilp(ii)    = 100*(Xdat(18,ii)+Xdat(18,ii-1)+Xdat(18,ii-2)+Xdat(18,ii-3));
        %dcapit(ii)   = 100*(Xdat(19,ii)+Xdat(19,ii-1)+Xdat(19,ii-2)+Xdat(19,ii-3));
    end
    for ii=5:Quarters
        dmoney3(ii) = 100*(money3(ii)-money3(ii-4));
        dmoney1(ii) = 100*(money1(ii)-money1(ii-4));
        dreserves(ii) = 100*(reserves(ii)-reserves(ii-4));
    end
end

effwedge    = output - alpha*hours;
laborwedge(1) = 1;
laborwedgea   = -(cons + hours - wage); %construct the gap between the real wage and the marginal rate of substitution

if idat == 1 %if we're coming through here with the actual data, smooth consumption a very small amount before computing the marginal utility of consumption. Otherwise mu will go negative
    lambdahp = 0.5;
    A        = hpfilt(length(cons),lambdahp);
    concyc   = A*cons';
    contre   = cons-concyc';
else
    contre = cons;
end

for ii = 2:Quarters
    if ii < Quarters
        now     = exp(contre(ii))-b*exp(contre(ii-1));
        later   = exp(contre(ii+1))-b*exp(contre(ii));
        muc(ii) = 1/now - b*beta/later;
        if muc(ii) < 0
            disp('fatal (prepare_short) negative marginal utility of consumption')
        end
        laborwedge(ii) = -( -log(muc(ii))+hours(ii)-wage(ii) );
    end
end