function [floglik,QQ,Hess]=sslogliktest(xx,par,taumat,her,Rb,Re,c,y,i,mb, w,l,k,n,pi,g,ev,taushock,Pe,G,Gp, ...
    omegabar,Rk,rk,Gs,fdiff,Xdat,J,ric,M,m1,currdep,Ra,dm,m3,demean,mm,parstoch,duration1,tauvar,tauvar2, ...
    size_a,size_b,prior,taushock1,gamma,alpha,R,ttt2,entr,taushock3,duration2,params,q,s,u,lambdaz,uzc,vn,Rm,btot,init_kalman)


floglik   =   ssloglik(xx,par,taumat,her,Rb,Re,c,y,i,mb, w,l,k,n,pi,g,ev,taushock,Pe,G,Gp,omegabar,Rk,rk,Gs,fdiff, ...
    Xdat,J,ric,M,m1,currdep,Ra,dm,m3,demean,mm,parstoch,duration1,tauvar,tauvar2,size_a,size_b,prior, ...
    taushock1,gamma,alpha,R,ttt2,entr,taushock3,duration2,params,q,s,u,lambdaz,uzc,vn,Rm,btot,init_kalman);
    

%----- Supply Gradient
[QQ]=deriv('ssloglik',xx,par,taumat,her,Rb,Re,c,y,i,mb, w,l,k,n,pi,g,ev,taushock,Pe,G,Gp,omegabar,Rk,rk,Gs,fdiff,Xdat, ...
    J,ric,M,m1,currdep,Ra,dm,m3,demean,mm,parstoch,duration1,tauvar,tauvar2,size_a,size_b,prior,taushock1, ...
    gamma,alpha,R,ttt2,entr,taushock3,duration2,params,q,s,u,lambdaz,uzc,vn,Rm,btot,init_kalman);

%----- Supply Hessian  %two-sided
Hess = hessian_2s('ssloglik',xx',[],par,taumat,her,Rb,Re,c,y,i,mb, w,l,k,n,pi,g,ev,taushock,Pe,G,Gp,omegabar, ...
    Rk,rk,Gs,fdiff,Xdat,J,ric,M,m1,currdep,Ra,dm,m3,demean,mm,parstoch,duration1,tauvar,tauvar2,size_a,size_b, ...
    prior,taushock1,gamma,alpha,R,ttt2,entr,taushock3,duration2,params,q,s,u,lambdaz,uzc,vn,Rm,btot,init_kalman); 



