clear all

%initial values
x_sa=[0.46]';%chii
x_low=[0.4]';
x_high=[0.6]';
xtype = [-1 ]'; % xtype(i) = -1, if the i'th argument of x0 is real; =1, if it is integer

addpath c:\banking\optimisation\adap_sim_anneal_ingber\asamin
cd C:\banking\optimisation\adap_sim_anneal_ingber\asamin
mex asamin.c asa.c -DUSER_ACCEPTANCE_TEST#TRUE -DUSER_ASA_OUT#TRUE -DSMALL_FLOAT#1.0E-50
cd C:\banking\euroarea_code

%asamin('set','rand_seed',696969);
asamin('set','user_initial_parameters',1);
asamin('set','limit_acceptances',90000);
asamin('set','limit_generated',900000);
asamin('set','accepted_to_generated_ratio',1.0E-4);
asamin('set','cost_parameter_scale_ratio',0.1);
%asamin('set','temperature_ratio_scale',1.0E-2);
%asamin('set','temperature_anneal_scale',1000);
%asamin('set','acceptance_frequency_modulus',50);
%asamin('set','maximum_cost_repeat',10);
%asamin('set','reanneal_cost',5);
%asamin('set','reanneal_parameters',0);

asamin('set','asa_out_file','asatest1.log');
tic 
[f_asa, x_asa, grad_asa, hessian_asa, state_asa] = asamin('minimize', 'untitled', x_sa, x_low, x_high, xtype);
toc
m=1;