clear all
close all
dbstop if error
addpath('C:\projects\ECB\August2005\euroarea_code_6_10_2009\euroarea_code')
R=1.01;
delta=.6;
alpha=.99;
mu=0.33;
n=1;
%first, set a value for sigma
Fomega=.026;
omegabar=.6;
[sigma] = ffsigma(omegabar,Fomega);
%now, get a baseline level of leverage and entrepreneurial interest rate
%that satisfies the zero profit condition.
% [ff,F,Gamma,Gam_muG] = stuff(omegabar,sigma,mu);
% ff      =   (Gamma-mu*F)*(b+n)^alpha+(1-delta)*(b+n)-R*b;
% dd      =   (Gamma-mu*F+1-delta)/R;
% L       =   1/(1-dd);
% Z       =   omegabar*L/(L-1);
Z=1.20;

bb=.001:.1:200;
ix=0;
for ii = 1:length(bb)
    b=bb(ii);
    omega=(Z*b-(1-delta)*(b+n))/(b+n)^alpha;
    if omega >= 0
        ix=ix+1;
        [ff,F,Gamma,Gam_muG] = stuff(omega,sigma,mu,delta,alpha,b,n,R);
        om(ix)=omega;
        func(ix)=ff;
        gam(ix)=Gamma;
        FF(ix)=F;
        cc(ix)=(1-F)*omega;
        util(ix)=(1-Gamma)*(b+n)^alpha;
        bbb(ix)=bb(ii);
    end
end

subplot(211)
plot(bbb,util)
title('entrepreneurial utility')
xlabel('borrowing')
ylabel('entrepreneurial utility')
subplot(212)
plot(bbb,cc)
title('(1-F)*omega')
axis tight