function logf = lgammapdf(x,m,sigma)
%inputs: m = mean; sigma=standard deviation; x=point to be evaluated

sigma2 = sigma^2;

a = m/sigma2;
r = a*m;
if a<=0 | r<=0
    error
end

logf = r*log(a) - gammaln(r) + (r-1)*log(x) -a*x;


