%write the system in canonical form
if entr == 2;params(1)=1; elseif entr==-4; params(1)=-3; end
[alphas,alpha_2, alpha_1,alpha_0,betas,beta_0,beta_1,taumat,M,ssvalues,ttt2,G,Gp,Gs] = ...
    makealphabeta(lambdaz,g,her,ksi,pi,i,omegabar,Rk,n,ev,mb,uzc,Ra,c,w,Re,m3,k,params,q,s,u,dm,vn, ...
    RT,Rm,icheck,Taylor,forward,parstoch,etai,taushock,irun,btot,phi,y,R,rk,l,kbar);
if entr == 2;params(1)=2; elseif entr==-4;params(1)=-4; end

if entr == 2 || entr ==-4
    tts = 1:size(variables,1);
    
    AF=eye(size(alphas,1));
    Api=zeros(size(alphas,1));

    if entr==2
        if size(alphas,1) ~= 30
           error('fatal (solvemodel) size of alphas off inexplicably') 
        end
        AF(22,22)=(1+Re)/Re;
        Api(22,1)=(1+Re)/Re;
    elseif entr==-4
        if size(alphas,1) ~= 18
           error('fatal (solvemodel) size of alphas off inexplicably') 
        end
        AF(tts(ttt2==22),tts(ttt2==22))=(1+Re)/Re;
        Api(tts(ttt2==22),tts(ttt2==1))=(1+Re)/Re;
    end

    alpham1=alpha_0*Api;
    if max(max(abs(alpham1))) > .1e-12
        error('fatal(solvemodel) order of dynamics of system changed with real state noncontingent debt')
    end
    alpha_0=alpha_0*AF+alpha_1*Api;
    alpha_1=alpha_1*AF+alpha_2*Api;
    alpha_2=alpha_2*AF;
    alphas  =  [alpha_0 alpha_1 alpha_2];
end 
    

%solve the model
[A] = findandcheckA(alphas,alpha_2,alpha_1,alpha_0,accuracy);

%if irun >= 1
%    is=0;
%    ttaushock=[1 5 8 12 14 17 18 21];
%    ttauvar  =  [1 2 3 4 5 6 7 8 10 11 12 13 14];
%    Xyz=ones(13,41);
%    [toest,X,D,rho,l_z,l_psi,l_eps,l_x,ll_psi,initxi,V_eps,RR,model] = getparams(ttauvar,ttaushock,A,Xyz,is,Taylor);
% %   D(3*8,8)=0;%this shuts down the monetary policy response to a theta  shock
% %   printshocks;type shock.out;
%    if irun == 6        
%        D(3*18,18)=0;
%        printshocks;type shock.out;
%    end
%end

[B,B1,B2,P,rho,betas] = findandcheckB(A,alphas,rho,taushock,taumat,betas);

save([outfolder '\model']); 