function [PPPe] = indifference(llev,PPe,sp1,sig,Ubar)
fu=zeros(length(llev),1);
for ii = 1:length(llev)
    leve=llev(ii);
    
    [ff,omega,z,G,F,Gamma,er] = leverage(PPe(1),leve,sp1,sig,Ubar);
    fu(1)=ff;
    jx=0;
    for jj = 2:length(PPe)
        Pet=PPe(jj);
        [ff,omega,z,G,F,Gamma,er] = leverage(Pet,leve,sp1,sig,Ubar);
        fu(jj)=ff;
        if er == 0
            if fu(jj)*fu(jj-1) < 0
                jx=jx+1;
                II(jx)=jj;
            end
        end
    end
    if jx > 1
        error('fatal (micro) found several solutions')
    end
    if jx == 1
        x=[PPe(II(1)-1) PPe(II(1))];
        [xx,fval,exitflag] = fzero('leverage',x,optimset,leve,sp1,sig,Ubar);
        if exitflag ~= 1 | abs(fval) > .1e-10 | xx < 1 | abs(imag(xx)) > .1e-10
            error(' fatal (micro) failed to find a zero')
        end
        PPPe(ii)=xx;
    elseif jx == 0
        PPPe(ii)=0;
    end
end