function [ff,F,Gamma,Gam_muG] = stuff(omega,sigma,mu,delta,alpha,b,n,R)
% The following definitions are taken from BGG page 52 (NBER WP 6455)
z       =   (log(omega)+sigma^2/2)/sigma;
Gamma   =   normcdf(z-sigma)+omega*(1-normcdf(z));
Gam_muG =   (1-mu)*normcdf(z-sigma)+omega*(1-normcdf(z));
F       =   normcdf(z);
if nargin == 3
    ff=[];
elseif nargin > 3
    ff      =   (Gamma-mu*F)*(b+n)^alpha+(1-delta)*(b+n)-R*b;
end
